#include <X11/extensions/XInput.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>


int main()
{
	int						loop, num_devices;
	XDevice 				*device;
	char					**extensions;
	Display 				*dpy;
	XDeviceInfo				*devices;
	int 					digi_id;
	int						onoff; //1 : on 2 : off
	XDeviceEnableControl 	xDeviceEnableControl;

	dpy = XOpenDisplay(NULL);

	devices = XListInputDevices(dpy, &num_devices);
	for(loop = 0;loop < num_devices;loop++)
	{
		printf("%d: \"%s\"	[", devices[loop].id, devices[loop].name ? devices[loop].name : "<noname>");
	
	if(!strcmp(devices[loop].name,"Digitech   Systems DigitechSys")) //if same
		digi_id = devices[loop].id;
	
	}

	printf("\n\nMyDriver id : %d\n",digi_id);
	printf("**************************************************\n");
	printf("1. on 2.off\n");
	printf("input>");
	scanf("%d",&onoff);

	device = XOpenDevice(dpy,digi_id);
	if(device)
	{
		if(onoff == 1) //on
			xDeviceEnableControl.enable = 1;
		else if(onoff == 2) //off
			xDeviceEnableControl.enable = 0;
	}
	xDeviceEnableControl.length = sizeof(xDeviceEnableControl);
	xDeviceEnableControl.control = DEVICE_ENABLE;
	XChangeDeviceControl(dpy, device, DEVICE_ENABLE,(XDeviceControl*)&xDeviceEnableControl);

	printf("device %s\n",(onoff==1)?"on":"off");

	device = XCloseDevice(dpy,device);

	return 0;
}



